org.apache.ignite.streamer.index

## Class StreamerIndexProviderAdapter.Entry<E,K,V>

- java.lang.Object
- - org.apache.ignite.streamer.index.StreamerIndexProviderAdapter.Entry<E,K,V>

All Implemented Interfaces:
  StreamerIndexEntry<E,K,V>

Direct Known Subclasses:
  StreamerIndexProviderAdapter.DedupTrackingEntry, StreamerIndexProviderAdapter.EventTrackingEntry, StreamerIndexProviderAdapter.NonTrackingEntry

Enclosing class:
  StreamerIndexProviderAdapter<E,K,V>

    protected abstract static class StreamerIndexProviderAdapter.Entry<E,K,V>
    extends Object
    implements StreamerIndexEntry<E,K,V>

Streamer window index entry.

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`K` `key()` Gets index entry key.
`StreamerIndexProviderAdapter.IndexKey<V>` `keyIndex()`
`String` `toString()`
`V` `value()` Gets index entry value.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.streamer.index.StreamerIndexEntry

`events`

### Method Detail

#### key

    public K key()

Gets index entry key.

Specified by:
  `key` in interface `StreamerIndexEntry<E,K,V>`
Returns:
  Index entry key.

#### value

    public V value()

Gets index entry value.

For sorted indexes, the sorting happens based on this value.

Specified by:
  `value` in interface `StreamerIndexEntry<E,K,V>`
Returns:
  Index entry value.

#### keyIndex

    @Nullable
    public StreamerIndexProviderAdapter.IndexKey<V> keyIndex()

Returns:
  Internal key.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015